# Vanilla Reloaded

Vanilla Reloaded is a weapon balance mod that aims to rebalance the game's existing arsenal into a more interesting state. The goal is not to drastically alter the existing weapon balance, but instead to tone down some weapons that have become overcentralizing, while buffing some weapons that are currently underperforming. In some cases, weapons have been changed to emphasize what makes them unique from the rest of the cast, further diversifying the options available to the player.

## Changes

### Sledgehammer

*The R8 nerfs to Sledgehammer's stagger were perfect, no additional changes necessary.*

### Knife

*R8's addition of a backstab multiplier to Knife gave it the perfect amount of power against Giants and other enemies where Knife prevously struggled, no additional changes necessary.*

### Bat

*The Bat is a well-rounded melee, however it is largely overshadowed by the Sledgehammer. While the R8's Sledgehammer nerfs have let it shine as the melee with the highest stagger ability, we decided to additionally increase its light damage, to truly let its light attack shine. We've slightly reduced its light attack stagger multiplier to keep its stagger slightly reasonable to compensate.*

Breakpoints affected: Bat will now be able to kill a Striker with a light attack to the occiput.

-   Light attack damage: 3.0 -> 3.5
-   Light attack stagger multiplier: 5.0 -> 4.0

### Spear

*While the recent buffs worked wonders for Spear's usability, Spear still felt to be the most underperforming of melee weapons. We have substantially reduced Spear's stamina usage and slightly reduced its charge time, allowing players to better utilize the playstyle of adopting defensive positions interspersed with quick repositions. We have additionally given it a minor buff to its light attack damage, allowing it to hit some important breakpoints.*

Breakpoints affected: Spear will now be able to kill a Striker with a fully charged attack to the body and a light attack to the body. Spear will now be able to kill a Shooter with a light attack to the occiput.

-   Light attack damage: 2.0 -> 2.5
-   Charged stamina cost: 5% -> 0%
-   Max damage charge time: 1.8 -> 1.5

### Pistol

*The Pistol is already a well-rounded weapon with a solid identity. Previously, the major drawback of this weapon was the inconsistency of its 3-shot kill on Strikers, but the recent patches have already addressed this.*

### Burst Pistol

*Burst Pistol seems to have entered the game in a fairly underwhelming state. We've buffed its damage to make its breakpoints a bit more forgiving, and lowered its burst delay to make it more spammable. We've slightly lowered its ammo to compensate.*

-   Damage: 3.2 -> 3.38
-   Precision Multiplier: 0.8667 -> 0.9
-   Bullet cost: 1.8 -> 1.9
    -   Rounds/refill: 50.0 -> 47.37
    -   Starting ammo: 166.67 -> 157.89
    -   Maximum ammo (excluding clip): 255 -> 242
-   Burst delay: 0.2 -> 0.12

### HEL Revolver

*HEL Revolver was definitely overperforming at high level play. The main attraction of this weapon was its insane uptime with reload cancel, incredibly good ammo efficiency and an incredibly fast time to kill, to the point that the overpenetrating qualities just became icing on the cake. We've leaned in to the overpenetrating qualities, while toning down some other aspects of the weapon.*

-   Clip size: 8 -> 6
-   Bullet cost: 5.0 -> 5.6
    -   Rounds/refill: 18.0 -> 16.07
    -   Starting ammo: 60.0 -> 53.57
    -   Maximum ammo (excluding clip): 92 -> 82
-   Piercing (number of enemies that can be hit with a single shot): 2 -> 3

### Machine Pistol

*The Machine Pistol already has some impressive stats, and it is capable of being very effective up close. We opted not to make any changes to Machine Pistol, as we believe it was largely being overshadowed by weapons such as the Carbine and HEL Shotgun, and the nerfs to those weapons will hopefully allow the Machine Pistol to shine as an effective short-range option.*

### HEL Autopistol

*The R8 buffs gave HEL Autopistol a huge damage boost, to the point that it easily competed with weapons which did not have its incredible utility in crowd control. We've toned down its damage to reinforce its role as a stagger weapon, while increasing its ammo to compensate.*

-   Damage: 1.5 -> 1.21
-   Bullet cost: 1.0 -> 0.9
    -   Rounds/refill: 90.0 -> 100.0
    -   Starting ammo: 300.0 -> 333.33
    -   Maximum ammo (excluding clip): 460 -> 511

### Bullpup Rifle

*Despite its recent buffs, the Bullpup Rifle still felt that it was significantly underperforming. We opted to take a rather extreme route when rebalancing it, we gave it some incredible stats, but then reverted its reload back to a lengthier value. Hopefully, the weapon's incredible power will now feel it justifies its long reload.*

-   Damage: 2.1 -> 2.91
-   Reload time: 2.3 -> 2.4
-   Bullet cost: 1.5 -> 2.1
    -   Rounds/refill: 60.0 -> 42.86
    -   Starting ammo: 200.0 -> 142.86
    -   Maximum ammo (excluding clip): 306 -> 219
-   Shot delay: 0.055 -> 0.064

### SMG

*The recent buffs to SMG have put it in a decently good place. We've shifted some of its power away from its precision multiplier to its raw damage, which should help the weapon feel much more consistent, and also improve its performance in more hectic scenarios.*

-   Damage: 1.98 -> 2.15
-   Precision multiplier: 0.91 -> 0.8
-   Shot delay: 0.066 -> 0.062

### PDW

*We've reverted the PDW's previous damage nerf. With the removal of the Heavy SMG from the Main Weapon category, we felt that it was no longer competing with it for the role of a high damage SMG.*

-   Damage: 2.15 -> 2.31

### Carbine

*Carbine has been repeatedly buffed to the point where it simply outshines the majority of other similar weapons. We've toned down its damage to a much more reasonable level, but have also given it more ammo to compensate.*

-   Damage: 2.38 -> 2.01
-   Bullet cost: 1.4 -> 1.15

### DMR

*The DMR is already a very well-rounded weapon, with stats that make it highly effective, coupled with its great match-up in to Shooters, this made it an exceptional choice in solo play. However, its low ammo made it suffer in team environments. We've given it a slight decrease to its bullet cost to make it slightly more efficient.*

-   Bullet cost: 5.99 -> 5.4
    -   Rounds/refill: 15.28 -> 16.67
    -   Starting ammo: 50.93 -> 55.56
    -   Maximum ammo (excluding clip): 78 -> 85

### Double Tap Rifle

*We've found the Double Tap Rifle to be a generally well-rounded weapon, which already has a fun avenue for skill expression through its one-burst on Strikers. We've slightly buffed its ammo pool to give this playstyle a more significant reward.*

-   Bullet cost: 3.8 -> 3.6
    -   Rounds/refill: 23.68 -> 25.0
    -   Starting ammo: 78.95 -> 83.33
    -   Maximum ammo (excluding clip): 121 -> 127

### Assault Rifle

*The Assault Rifle was arguably one of the weakest weapons in the game, as such we've given it some significant buffs to its damage output. We've shifted its damage and precision multiplier to a point where headshots become incredibly rewarding, and adjusted its bullet cost and shot delay accordingly. We've additionally given it a buff to its range, so that it noticeably outranges the SMGs.*

-   Damage: 2.1875 -> 2.81
-   Falloff start: 10 -> 15
-   Precision multiplier: 0.8 -> 0.9
-   Bullet cost: 1.47 -> 1.95
    -   Rounds/refill: 61.22 -> 46.15
    -   Starting ammo: 204.08 -> 152.85
    -   Maximum ammo (excluding clip): 312 -> 235
-   Shot delay: 0.086 -> 0.09

### Burst Rifle

*We've found that the Burst Rifle is already a fairly well-rounded weapon, and fits in nicely with the rest of our changes.*

### Rifle

*We found that after increasing the range of the Pistol, the Rifle struggled to have a unique identity. While being a longer range variant of the Pistol was certainly a valuable option, we decided to give the weapon a very unique place. The Rifle will now be able to two-shot Strikers at extremely close range, allowing for an extremely effective and efficient but risky playstyle. We've additionally changed its stagger multiplier to be more in line with other weapons.*

-   Damage: 5.08 -> 5.66
-   Falloff start: 22.0 -> 6.0
-   Falloff end: 80 -> 90
-   Stagger multiplier: 1.75 -> 1.25
-   Clipsize: 14 -> 16

### Sawed-Off Shotgun

*The Sawed-Off Shotgun sits in a very strange place. On the one hand, its damage per shot and fire rate give it unrivalled burst damage for a main weapon, however, its small clip size and relatively long reload often leaves players in vulnerable positions when they are in the close ranges that the Sawed-Off prefers. However, the recent patches have already done a good job of improving its consistency and uptime and as a result we have made no further changes.*

### HEL Shotgun

*While HEL Shotgun is certainly a powerful weapon, it is also incredibly unique, and so, while considering possible changes to it, we endevoured not to disrupt this weapon from its highly specialized niche. We opted to slightly reduce its damage and clipsize, in order to tone down its rather polarizing damage per clip, while keeping the other elements of the weapon intact.*

-   Damage: 13.36 -> 12.48 (damage per pellet: 1.67 -> 1.56)
-   Clipsize: 14 -> 12

### Slug Shotgun

-   Falloff end: 40 -> 50
-   Bullet cost: 12.0 -> 11.5
    -   Rounds/refill: 7.50 -> 7.83
    -   Starting ammo: 25.00 -> 26.09
    -   Maximum ammo (excluding clip): 38 -> 40
-   Shot delay: 0.75 -> 0.65

### Heavy Assault Rifle

*As part of our changes to many of the automatic weapons, we've slightly increased the precision multiplier of the Heavy Assault Rifle in order reward player accuracy slightly more. While this doesn't change many breakpoints for this weapon, it'll hopefully still make it so that headshots feel more impactful while in team scenarios. We've additionally increased the falloff start range to be slightly higher than the machineguns that Heavy Assault Rifle directly competes with.*

-   Falloff start: 12.0 -> 20.0
-   Precision multiplier: 0.8 -> 0.9
-   Reduced recoil
    -   Minimum power: 0.8 -> 0.7 (pre-R7 was 0.625)
    -   Maximum power: 1.3 -> 1.0 (pre-R7 was 0.75)

### Short Rifle

*Short Rifle is perhaps one of the worst weapons the game has ever seen. Despite having good efficiency, its damage and breakpoints are so incredibly underwhelming that it struggles to be effective. We've substantially increased its damage and tinkered with its range to give it some new breakpoints; it will now be able to triple bodyshot Strikers out to ~7.5m and headshot + bodyshot them out to ~12.5m. This should hopefully make the Short Rifle much more effective at short ranges, and also push its old effective range out substantially. We've adjusted its bullet cost and clip size to account for its new stats, and opted to only slightly increase its stagger multiplier, in order to ensure that a single bodyshot continues to fail to stagger Strikers.*

-   Damage: 4.81 -> 6.91
-   Falloff start: 8 -> 6
-   Falloff end: 58 -> 50
-   Stagger multiplier: 0.5 -> 0.7
-   Precision multiplier: 0.7413 -> 0.8
-   Clip size: 30 -> 24
-   Bullet cost: 1.38 -> 1.8
    -   Rounds/refill: 65.22 -> 50
    -   Starting ammo: 108.70 -> 83.33
    -   Maximum ammo (excluding clip): 166 -> 127

### Heavy SMG

Moved to Special Weapon category.

*The Main Weapon category was incredibly over-filled with automatic weapons, so we have moved the Heavy SMG to the Special Weapon category. As a result, it has received a large overhaul to its stats.*

-   Damage: 2.45 -> 3.25
-   Clipsize: 33 -> 44
-   Bullet cost: 1.5 -> 1.2
    -   Rounds/refill: 60.00 -> 75.00
    -   Starting ammo: 200.00 -> 125.00
    -   Maximum ammo (excluding clip): 306 -> 191
-   Shot delay: 0.078 -> 0.054

### Shotgun

*Shotgun has always had the stats to make it an extremely effective weapon, and the recent patch has given it enough ammo to shine in most situations. No changes.*

### Combat Shotgun

*Combat shotgun has a dispropotionately large ammo pool, to the point that it dominates most of the efficiency stats, including those regarding boss killing - a role it is not at all specialized at. We've toned down its bullet cost so that it has a more reasonable ammo efficiency.*

-   Bullet cost: 4.0 -> 4.5
    -   Rounds/refill: 22.5 -> 20.0
    -   Starting ammo: 37.50 -> 33.33
    -   Maximum ammo (excluding clip): 57 -> 51

### Scattergun

*The Scattergun disproportionately trivializes most boss enemies. We've toned down its damage and precision multiplier to reduce its power in these encounters, and have also increased its bullet cost so that it requires more thoughtful use.*

-   Damage: 153.6 -> 128.32 (damage per pellet: 4.8 -> 4.01)
-   Precision multiplier: 0.7333 -> 0.67
-   Bullet cost: 16.3 -> 20.0
    -   Rounds/refill: 5.52 -> 4.50
    -   Starting ammo: 9.20 -> 7.50
    -   Maximum ammo (excluding clip): 14 -> 11

### Choke Mod Shotgun

*The Choke Mod Shotgun sits in an awkward spot, it currently feels substantially overshadowed by its other competitors in the 30 damage tier. It is noticeably outranged by the HEL Rifle, and lacks it overpenetrating utility, and it has less ammo than the High Caliber Pistol. The only advantage it has over these two weapons is its rate of fire, which should aid it substantially against bosses, but even then it still feels underwhelming due to its relatively small damage per clip. We've made some substantial changes to it, dramatically increasing its damage but also its spread. This opens up the possibility for it to spread its damage over multiple enemies, and should also substantially improve its power against bosses.*

-   Damage: 30.08 -> 40.1
-   Reload time: 2.72 -> 2.5
-   Pellet count: 8 -> 10 (damage per pellet: 3.76 -> 4.01)
-   Cone size: 0 -> 2

### Revolver

*Revolver is a solid option into smaller enemies but disproportionally suffers into larger enemy variants. We've swapped its damage with that of HEL Gun in order to improve its matchup into these larger enemies. We've additionally given it a longer range flashlight, as it previously had the shortest possible flashlight range, despite being a medium range precision based weapon.*

-   Damage: 14.21 -> 16.25
-   Flashlight: Short range -> Medium range #1 (see [the wiki](https://gtfo.fandom.com/wiki/Flashlight) for more on flashlights)

### Machinegun (Arbalist)

*No changes.*

### Machinegun (Varuta)

*No changes.*

### Burst Cannon

*The R8 rework of Burst Cannon into a 3-shot burst changed the weapon in many ways. While we will miss the raw power output of its 5-burst, it is much less polarizing and much more usable as a 3-burst. The only change that we have made is tweaking its clip size to a multiple of its burst.*

-   Clip size: 20 -> 18

### HEL Gun

*The HEL Gun is an extremely versatile weapon, being one of the best wave-clear options while also having a strong match up into larger enemies. We've swapped its damage with that of Revolver in order to slightly reduce its impact into larger enemy variants, while maintaining its power into smaller enemies. Additionally, we've reverted some of the changes to its charge time to hopefully improve the responsiveness of the weapon.*

-   Damage: 16.25 -> 14.21
-   Charge time: 0.2 -> 0.15

### High Caliber Pistol

*With our changes to Choke Mod Shotgun as well as HEL Rifle, we felt that the High Caliber Pistol sat in a good spot. Due to the Choke Mod Shotgun changes, it is now much more distinct from that weapon, and the HEL Rifle's ammo changes also provide a bit more room for the High Caliber Pistol to find play.*

### Precision Rifle

*Its recent buffs made the Precision Rifle much more viable, though its clip size reduction in R8 was not needed. We've reverted its clip size back to 12, and the only other change we've made is to increase its precision multiplier, this should make headshots much more impactful against Giant Shooters and Hybrids, while also slightly increasing its one-shot range on Scouts. This change also improves its match-up against boss enemies, though only slightly. The only other changes we would have liked to make would be to its thermal scope - moderately increasing the distance it can see through fog, as well as allowing it to see enemy projectiles. This would dramatically improve its usability against Shooters as well as Hybrids, both matchups where it should excel, but the inability to play around the enemy's attacks significantly hamper it.*

-   Precision multiplier: 1.3 -> 1.5
-   Clip size: 10 -> 12

### Sniper

*The R8 nerfs to Sniper were extremely drastic and massively impaired the weapon's usability. We've reverted it back to its previous state (with a tiny ammo nerf to reduce its maximum capacity back to 12). This currently means that with the latest changes to how boss tumors behave, Sniper is extremely unbalanced against boss enemies. However, balancing its match-up against boss enemies while still feeling effective against Giants does not seem possible within the scope of this mod.*

-   Clip size: 2 -> 3
-   Bullet cost: 17.5 -> 24.0
    -   Rounds/refill: 5.14 -> 3.75
    -   Starting ammo: 8.57 -> 6.25
    -   Maximum ammo (excluding clip): 13 -> 9
-   Shot delay: 0.8 -> 0.5
-   Hip fire spread: 13.0 -> 3.0
-   Recoil reduced (back to pre-R8 level)

### HEL Rifle

*With such a high amount of potential piercing, the HEL Rifle is able to achieve absurd efficiencies. We've toned down its ammo statistics to be more reasonable.*

-   Bullet cost: 10.0 -> 11.25
    -   Rounds/refill: 9.0 -> 8.0
    -   Starting ammo: 15.0 -> 13.33
    -   Maximum ammo (excluding clip): 23 -> 20

### Bio Tracker

*No changes.*

### C-Foam Launcher

*The C-Foam Launcher is incredibly difficult to balance. Perma-foaming doors and ladder-foam can trivialize some of the hardest content in the game, but without such environmental advantages it struggles to find value. We believe that the only way to address its power would be to change how it interacts with doors and ladders in a major way.*

### Mine Deployer

*No changes.*

### Burst Sentry

*While Burst Sentry remains an incredibly powerful option, the changes in R8 have somewhat addressed its previous dominance. We've only slightly nerfed its ammo and fire-rate to marginally reduce its power, and hope that the rest of our sentry changes will bring the sentries onto a more even playing field.*

-   Bullet cost: 2.05 -> 2.1
    -   Rounds/refill: 51.35 -> 50.13
    -   Starting ammo: 171.16 -> 167.08
    -   Maximum ammo: 256 -> 250
-   Shot delay: 0.045 -> 0.05
-   Burst delay: 1.0 -> 1.05

### HEL Auto Sentry

*The HEL Auto Sentry is currently in a poor spot, its targetting system causes it to miss a significant portions of its shots and its overpenetrating abilities are currently not functioning. While it could vastly improve by addressing these issues (which are beyond the scope of this mod), we still would like to see it shift into a more supportive role. Currently, it has a relatively high base DPS, and is incredibly tool hungry, we've slowed down its firerate substantially and given it some extra ammo, so that now it functions as more of a utility sentry - slowing down and chipping enemy waves without being a drain on the team's resources.*

-   Bullet cost: 10.0 -> 11.25
    -   Rounds/refill: 150.38 -> 210.53
    -   Starting ammo: 501.25 -> 701.75
    -   Maximum ammo: 751 -> 1052
-   Shot delay: 0.08 -> 0.125

### Sniper Sentry

*After its slew of nerfs with the ALT://R3 patch, the Sniper Sentry suffered from extreme usability issues. While the R8 patch did somewhat addess this, we've still found it to be somewhat lacking, except in scenarios which very strongly favour it. We've given it slightly more ammo, as well as reduced its start fire delay (while toning down its bio-symbiosis start fire delay multiplier) to make it more usable in more scenarios.*

-   Bullet cost: 16.0 -> 15.0
    -   Rounds/refill: 6.58 -> 7.02
    -   Starting ammo: 21.93 -> 23.39
    -   Maximum ammo: 32 -> 35
-   Shot delay: 2.6 -> 2.8
-   Start fire delay: 2.8 -> 2.0
-   Bio-symbiosis start fire delay multiplier: 0.5 -> 0.7

### Shotgun Sentry

*Shotgun Sentry is in a dismal state, its current targeting causes it to miss a ridiculous amount of its shots. We've overhauled its targeting, so that it now aims at the bodies of enemies rather than their heads, decreased its maximum range (it often used to get stuck shooting enemies far beyond its effective range), split its damage over 10 pellets instead of 5 as well as reducing its spread (helping it hit the enemy it is targeting much more consistently). We've additionally redistributed some of its bio-symbiosis benefits so that it is more consistent without tagging, while not being quite so ridiculous with tags.*

-   Damage: 15.05 -> 15.1
-   Bullet cost: 1.58 -> 0.8
    -   Rounds/refill: 13.32 -> 13.16
    -   Starting ammo: 44.41 -> 43.86
    -   Maximum ammo: 66 -> 65
-   Shot delay: 0.75 -> 0.8
-   Pellet count: 5 -> 10 (damage per pellet: 3.01 -> 1.51)
-   Pellet spread: 2 -> 1
-   Start fire delay: 0.5 -> 0.3
-   Rotation speed: 8.0 -> 20.0
-   Detection max range: 10 -> 8
-   Detection max angle: 40 -> 50
-   Changed targeting to fire towards the body of enemies rather than their head (still prioritizes tagged enemies)
-   Bio-symbiosis start fire delay multiplier: 0.25 -> 0.7
-   Bio-symbiosis rotation speed multiplier: 2.0 -> 1.0
-   Bio-symbiosis bullet cost multiplier: 0.5 -> 0.75
-   Bio-symbiosis shot delay multiplier: 0.6 -> 0.9

## Acknowledgements

A massive thanks to Jish, for inspiring me to start this project and getting me through the early stages. Thanks to Rayalot72, Chill Dude, D4RKEVA, BLACK_DRAGON and Beth for their insight on game balance. And thanks to my dog Petra, for being a lil cutie.
